
Figure - Bug #114214
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH：com.android.gallery3d（4）
2022-11-30 10:40 - CD Test赵飞

Status: CLOSED Start date: 2022-11-30

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0052.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-09

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.gallery3d (pid 4025)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'com.android.gallery3d.filtershow.history.HistoryManager

com.android.gallery3d.filtershow.imageshow.PrimaryImage.getHistory()' on a null object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1056:user/test-keys

// Build Changelist: 1056

// Build Time: 1669662831000

// java.lang.NullPointerException: Attempt to invoke virtual method 'com.android.gallery3d.filtershow.history.HistoryManager

com.android.gallery3d.filtershow.imageshow.PrimaryImage.getHistory()' on a null object reference

//     at com.android.gallery3d.filtershow.FilterShowActivity.resetHistory(FilterShowActivity.java:1295)

//     at com.android.gallery3d.filtershow.FilterShowActivity.onOptionsItemSelected(FilterShowActivity.java:1055)

//     at android.app.Activity.onMenuItemSelected(Activity.java:4359)

//     at androidx.fragment.app.FragmentActivity.onMenuItemSelected(FragmentActivity.java:340)

//     at com.android.internal.policy.PhoneWindow.onMenuItemSelected(PhoneWindow.java:1278)

//     at com.android.internal.view.menu.MenuBuilder.dispatchMenuItemSelected(MenuBuilder.java:788)

//     at com.android.internal.view.menu.MenuItemImpl.invoke(MenuItemImpl.java:152)

//     at com.android.internal.view.menu.MenuBuilder.performItemAction(MenuBuilder.java:935)

//     at com.android.internal.view.menu.MenuBuilder.performItemAction(MenuBuilder.java:925)

//     at com.android.internal.view.menu.MenuPopup.onItemClick(MenuPopup.java:128)

//     at android.widget.AdapterView.performItemClick(AdapterView.java:330)

//     at android.widget.AbsListView.performItemClick(AbsListView.java:1220)

//     at android.widget.AbsListView.onKeyUp(AbsListView.java:3437)

//     at android.widget.ListView.commonKey(ListView.java:2500)

//     at android.widget.ListView.onKeyUp(ListView.java:2373)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2878)
//     at android.view.View.dispatchKeyEvent(View.java:14478)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1959)

//     at android.widget.ListView.dispatchKeyEvent(ListView.java:2348)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.widget.PopupWindow$PopupDecorView.dispatchKeyEvent(PopupWindow.java:2544)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:8584)

//     at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:8535)

//     at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:8503)

//     at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:8707)

//     at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】
Tlog见附件

History

#1 - 2022-12-05 17:39 - CD APP-王营

- Due date set to 2022-12-15

#2 - 2022-12-06 11:12 - CD APP-李德盛

- Assignee changed from CD APP-王营 to CD APP-李德盛

#3 - 2022-12-08 14:40 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to AOSP问题

■ Current conclusion

点击菜单栏时，数据尚未初始化导致空指针异常

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/168591

#4 - 2022-12-08 17:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168591 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Gallery2: Fix crash 1142141. The data is not initialized when menu is clicked.TC-RID: 1201-0300701IssueID: TS-R-BUG-114214Change-Id:

I1576bb2adb6b8a31b166af991f70f34b008bd074

#5 - 2022-12-08 17:46 - CD APP-李德盛

- Status changed from New to RESOLVED

- Assignee changed from CD APP-李德盛 to CD Test赵飞

- Fixed Version set to 2022-12-09

#6 - 2022-12-19 10:45 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 100 to 80

12月9号，14号，16号DB版本均未复现此问题

已跟踪3个版本未复现，关闭此问题

#7 - 2022-12-19 10:45 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100
Files

Tlog.zip 17.5 MB 2022-11-30 CD Test赵飞
